<HTML>
<%@ include file="/m05bIdioma.inc"%>
<HEAD></HEAD>
<BODY style="cursor: wait" onkeydown="cancelaEnter();" onload="document.body.style.cursor='default';" onunload="document.body.style.cursor='wait';">
<FORM NAME="formRetornoO75" METHOD="POST">

<CENTER>
	<%@ page import="org.w3c.dom.Document,org.w3c.dom.Node,org.w3c.dom.NodeList,org.xml.sax.SAXParseException,org.apache.xpath.XPathAPI,javax.xml.parsers.DocumentBuilder,javax.xml.parsers.DocumentBuilderFactory, m05bClasses.*"%>

	<%  String strResultado = request.getParameter("RESULTADO");
        String strResultadoTotal = "<?xml version='1.0' encoding='UTF-8'?>";
        strResultadoTotal += strResultado;
        DocumentBuilderFactory dFactory = DocumentBuilderFactory.newInstance();
        dFactory.setValidating(true);
        dFactory.setNamespaceAware(true);
        String lstrResultado="";
        String lstrDescripcion = "";
        String lstrFichero = "";
        try{
            DocumentBuilder dBuilder = dFactory.newDocumentBuilder();
            InputStream is = new ByteArrayInputStream(strResultadoTotal.getBytes());
	    	//creo el documento XML
            Document document = dBuilder.parse(is);

            //obtengo el resultado del upload del fichero
            String lFiltro ="/O75/mensaje[@id=\"resultado\"]/valor/text()";
            NodeList listaNodos;
            listaNodos = XPathAPI.selectNodeList(document,lFiltro);
            
            if (listaNodos.getLength()>0)
                lstrResultado = listaNodos.item(0).getNodeValue();
            
            //obtengo la descripcion 
            lFiltro ="/O75/mensaje[@id=\"descripcion\"]/valor/text()";
            listaNodos = XPathAPI.selectNodeList(document,lFiltro);
            
            if (listaNodos.getLength()>0)
                lstrDescripcion = listaNodos.item(0).getNodeValue();
            
            //obtengo el fichero
            lFiltro ="/O75/mensaje[@id=\"ficdestino\"]/valor/text()";
            listaNodos = XPathAPI.selectNodeList(document,lFiltro);
            
            if (listaNodos.getLength()>0)
                lstrFichero= listaNodos.item(0).getNodeValue();
            
			if (lstrFichero!=null && lstrFichero.equals("")){
	            //obtengo el fichero
    	        lFiltro ="/O75/mensaje[@id=\"fichero\"]/valor/text()";
        	    listaNodos = XPathAPI.selectNodeList(document,lFiltro);
            
            	if (listaNodos.getLength()>0)
                	lstrFichero= listaNodos.item(0).getNodeValue();
			
			} 
			// Redireccionar al Servlet para ejecutar el proceso de importacion
			if (lstrResultado.equals(m05bConstantes.O75_ERR_NO_FICH)) { %> 
				<script> 
					alert(dameAlerta(idioma, 53));
				</script>
			<% } else if (lstrResultado.equals(m05bConstantes.O75_RESULTADO_OK)) {  %>
				<script> 
					document.formRetornoO75.action="m05bImportarArchivosCajasServlet?Fichero=" + lstrFichero;
		        	document.formRetornoO75.submit();
				</script>
				<H1>Resultado de la trasferencia<BR>
				<BR>
				<TABLE BORDER="1" WIDTH="90%">
				  <TR><TD>Codigo: </TD><TD><%=lstrResultado%></TD></TR>
				  <TR><TD>Descripcion: </TD><TD><%=lstrDescripcion%></TD> </TR>
				  <TR><TD>Fichero: </TD><TD><%=lstrFichero%></TD> </TR>
				</TABLE>
			<% }	
         }catch (SAXParseException spe) {
        	 m05bClasses.m05bFileLog miLog = new m05bClasses.m05bFileLog();
        	 miLog.addTraza(spe);
         }%>
</BODY>
</CENTER>
</HTML>

